/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.exporter;

import java.util.List;

import it.eng.spago.error.EMFUserError;
import it.eng.spago4q.bo.EOperation;
import it.eng.spago4q.dao.EOperationDAOHibImpl;
import it.eng.spago4q.dao.EOperationFieldDAOHibImpl;
import it.eng.spago4q.testUtils.AbstractDBTestCase;

public class ImporterCoordinatorImplTest extends AbstractDBTestCase {
	private static final String FLAT_FILE = "test/flatFile/s4qFlatFile.xml";
	private static final String OPERATION_URL = "test/it/eng/spago4q/exporter/xml/operation.xml";
	private static final String DATASOURCE_URL = "test/it/eng/spago4q/exporter/xml/dataSource.xml";
	private static final String ITERFACETYPE_URL = "test/it/eng/spago4q/exporter/xml/interfaceType.xml";
	private static final String SCRIPT_URL = "test/it/eng/spago4q/exporter/xml/script.xml";
	
	public ImporterCoordinatorImplTest(String value) {
		super(value);
	}

	@Override
	protected String getFlatFile() {
		return FLAT_FILE;
	}
	
	public void testOperationImporter(){
		ImporterCoordinator importerCoordinator = new ImporterCoordinatorImpl();
		try {
			importerCoordinator.operationImporter(OPERATION_URL, DATASOURCE_URL, ITERFACETYPE_URL, SCRIPT_URL, null, true);
			EOperationDAOHibImpl dao = new EOperationDAOHibImpl();
			EOperation operation = (EOperation) dao.loadObjectById(3);
			assertEquals("ACTIONKPI",operation.getName());
			
			EOperationFieldDAOHibImpl daoOpField = new EOperationFieldDAOHibImpl();
			List list = daoOpField.loadObjectList(operation.getId(), null, null);
			assertEquals(10,list.size());
			
		} catch (EMFUserError e) {
			fail();
		}
		
	}

}
