/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.exporter;

import it.eng.spago4q.metadata.S4qEScript;
import junit.framework.TestCase;

public class ScriptExportTest extends TestCase {

	public ScriptExportTest(final String value) {
		super(value);
	}

	public void testExportScript() {
		String xml = "<script>\n" + "  <name>PROJECT_NAME_CONVERTER</name>\n"
				+ "  <description>Convert P1 to PRJ-1</description>\n"
				+ "  <scriptType>Groovy</scriptType>\n"
				+ "  <script>a Groovy Script</script>\n" + "</script>";

		S4qEScript script = new S4qEScript();
		script.setName("PROJECT_NAME_CONVERTER");
		script.setDescription("Convert P1 to PRJ-1");
		script.setScriptType("Groovy");
		script.setScript("a Groovy Script");
		ScriptExporter scriptExporter = new ScriptExporter();
		S4qEScript actual = scriptExporter.importScript(scriptExporter
				.exportScript(script));
		assertEquals(xml, scriptExporter.exportScript(script));
		assertEquals(script.getName(), actual.getName());
		assertEquals(script.getDescription(), actual.getDescription());
		assertEquals(script.getScriptType(), actual.getScriptType());
		assertEquals(script.getScript(), actual.getScript());
	}
}
