/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.xml;

import it.eng.spago4q.extractors.AbstractExtractor;
import it.eng.spago4q.extractors.bo.ExtractorParameter;
import it.eng.spago4q.extractors.bo.GenericItemInterface;

import java.util.ArrayList;
import java.util.List;

import junit.framework.TestCase;

public class XmlExtractorTest extends TestCase {

	public XmlExtractorTest(final String value) {
		super(value);
	}

	public void testExecute() {
		try {
			// Create the parameters
			List<ExtractorParameter> operationParameter = new ArrayList<ExtractorParameter>();
			operationParameter.add(new ExtractorParameter("XPATH", "//book"));
			List<ExtractorParameter> dataSourceParameter = new ArrayList<ExtractorParameter>();
			dataSourceParameter.add(new ExtractorParameter("FILE",
					"test/xml/books.xml"));

			AbstractExtractor extractor = new XmlExtractor();
			extractor.init(dataSourceParameter, operationParameter);
			// Check the number of parameters
			assertEquals(1, extractor.getDataSourceParameter().size());
			assertEquals(1, extractor.getOperationParameter().size());

			List<GenericItemInterface> genericItemExtracted = extractor
					.execute();

			assertEquals(3, genericItemExtracted.size());
			assertEquals("Snow Crash", genericItemExtracted.get(0).getValue(
					"title"));
		} catch (Exception e) {
			fail();
		}
	}

}
