/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.importer;

import it.eng.spago.error.EMFUserError;
import it.eng.spago4q.bo.Script;
import it.eng.spago4q.dao.EScriptDAOHibImpl;
import it.eng.spago4q.metadata.S4qEScript;
import it.eng.spago4q.testUtils.AbstractDBTestCase;

import java.util.List;

public class EScriptImporterHibImplTest extends AbstractDBTestCase {

	public EScriptImporterHibImplTest(final String value) {
		super(value);
	}

	private static final String FLAT_FILE = "test/flatFile/s4qFlatFile.xml";

	@Override
	protected String getFlatFile() {
		return FLAT_FILE;
	}

	public void test1ImportDataOWFalse() {
		try {
			S4qEScript script = new S4qEScript();
			script.setIdScript(10);
			script.setName("TEST SCRIPT");
			script.setDescription("script description");
			script.setScriptType("groovy");
			script.setScript("bla bla bla");

			EScriptImport scriptImporter = new EScriptImportHibImpl();
			scriptImporter.importData(script, false);
			Script actualScript = getScriptStoredIntoDB("TEST SCRIPT");
			
			assertEquals(script.getName(), actualScript.getName());
			assertEquals(script.getScriptType(), actualScript.getScriptType());
			assertFalse(script.getDescription().equals(actualScript.getDescription()));
			assertFalse(script.getScript().equals(actualScript.getScript()));
			
		} catch (Exception e) {
			fail();
		}
	}

	private Script getScriptStoredIntoDB(String scriptName) throws EMFUserError {
		EScriptDAOHibImpl eScriptDAO = new EScriptDAOHibImpl();
		List scripts = eScriptDAO.loadObjectList(null, null);
		Script toFind = null;
		for (Script script : (List<Script>) scripts) {
			if (script.getName().equals(scriptName)) {
				toFind = script;
				break;
			}
		}
		return toFind;
	}


}
